export interface GoogleCalendarEventArgs {
    /**
     * Start of event, acceptable formats are:
     *
     * 20200316T010000Z - UTC
     *
     * 20200316T010000 - Time local to the user
     *
     * 20200316 - All day event
     */
    start?: string;
    /**
     * End of event, acceptable formats are:
     *
     * 20200316T010000Z - UTC
     *
     * 20200316T010000 - Time local to the user
     *
     * 20200316 - All day event
     */
    end?: string;
    /** Event title */
    title?: string;
    /** Event location */
    location?: string;
    /** Event details */
    details?: string;
}
/**
 * Generate a Google Calendar event URL
 */
export declare function googleCalendarEventUrl(args: GoogleCalendarEventArgs): string;
//# sourceMappingURL=index.d.ts.map